Package it.ernytech.tdlib

## Class TdApi.InlineKeyboardButtonTypeSwitchInline

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InlineKeyboardButtonType
    - - it.ernytech.tdlib.TdApi.InlineKeyboardButtonTypeSwitchInline

Enclosing class:
  TdApi

    public static class TdApi.InlineKeyboardButtonTypeSwitchInline
    extends TdApi.InlineKeyboardButtonType

A button that forces an inline query to the bot to be inserted in the input field.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `inCurrentChat` True, if the inline query should be sent from the current chat.
`java.lang.String` `query` Inline query to be sent to the bot.

### Constructor Summary

Constructors
`InlineKeyboardButtonTypeSwitchInline()` Default constructor.
`InlineKeyboardButtonTypeSwitchInline​(java.lang.String query, boolean inCurrentChat)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### query

    public java.lang.String query

Inline query to be sent to the bot.

#### inCurrentChat

    public boolean inCurrentChat

True, if the inline query should be sent from the current chat.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InlineKeyboardButtonTypeSwitchInline

    public InlineKeyboardButtonTypeSwitchInline()

Default constructor.

#### InlineKeyboardButtonTypeSwitchInline

    public InlineKeyboardButtonTypeSwitchInline​(java.lang.String query,
                                                boolean inCurrentChat)

Constructor for initialization of all fields.

Parameters:
  `query` - Inline query to be sent to the bot.
  `inCurrentChat` - True, if the inline query should be sent from the current chat.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR